import { Module } from "@nestjs/common";
import { AdminGuard, UserGuard } from "apps/backend/src/app/auth/auth.guard";
import { CredentialsModule } from "apps/backend/src/app/credentials/credentials.module";
import { CredentialsService } from "apps/backend/src/app/credentials/credentials.service";
import { DbModule } from "apps/backend/src/app/db/db.module";
import { AuthController } from "./auth.controller";
import { AuthService } from "./auth.service";

@Module({
	imports: [DbModule, CredentialsModule],
	providers: [AuthService, CredentialsService, AdminGuard, UserGuard],
	controllers: [AuthController],
})
export class AuthModule {}
